Description

Patches to r19937 with update russian translation.
Files:

e config/locales/ru.yml
¢ public/javascripts/jstoolbar/lang/jstoolbar-ru.js

Associated revisions

Revision 20008 - 2020-09-08 08:38 - Go MAEDA
Russian translation update (#33773).

Patch by VVD VVD.

Revision 20010 - 2020-09-10 08:16 - Go MAEDA

Russian translation (jstoolbar-ru.js) update (#33773).

Patch by VVD VVD.

History

#1 - 2020-07-27 16:31 - Go MAEDA

Thank you for providing the Russian translation.

However, | cannot commit the patch now because the patch changes the existing three translations, field_due_date, field_estimated_hours, and
text_convert_available. Since | don't understand Russian at all, | cannot determine whether the change is appropriate. It should be discussed by
those who understand the Russian language.

If the patch doesn't include changes to the three strings, | will commit the patch quickly. Could you consider opening a new issue to separate the
changes to the existing three translations and discuss them?

#2 - 2020-07-27 17:09 - VVD VVD
- File ru.yml.new.diff added

Attached new patch for new translations only.

Separate patch in #33774 for fix existing translations.

#3 - 2020-07-28 00:01 - Vasili Korol

| agree with most of the proposed translations but have a few remarks:
ru.yml.diff:

e field_esitmated_hours: The change of "OueHka BpemeHHbIx 3aTpat” to "OueHka Tpyno3atpart” is reverting the changes introduced in several
older tickets (see, for example #26180). The translation of "estimated hours" as "Tpynosatpatbl" seems a bit ambiguous.

e error_bulk_download_size_too_big: Is the translation of "in bulk" as "nakeTHo" conventional? | can also propose the following variant (sounds a
bit more clear IMHO):

9T paiinbl He MOTyT BbITb 3arpyXeHbl BCe pa3oM, Tak Kak nx o6wmuit 06 bEM NpeBbiluaeT AONyCTUMbIA MakCUMyM (%{max_size})

e setting_bulk_download_max_size: The same - what if we change "naketHo" to "Bce pasom"?

MakcumanbHblii 06Wwmnii 06 bEM ONs 3arpy3ki MHOTMX dbainos cpasy.
ru.yml.new.diff:

e error_bulk_download_size_too_big: See above
e setting_bulk_download_max_size: See above

#4 - 2020-07-28 08:17 - VVD VVD
| cannot discuss such things in English, so sorry for the Russian.

field_esitmated_hours:

Ilns aToro co3paHa oTaenbHas 3agava: #33774

BC€E pas3om

970 3BY4MT Kak-To Mo AepeBeHckH... COBCEM He Kak onucaHnue ownbkm B MNO.
Torpa yXx "0oOHOBPEMEHHO".

OTu Paunel He MOT'yT OBITh 3arpPyXeHB ODHOBPEMEHHO, TakK Kak HuX ofmud OOBEM MNpPEeBBMIAET OONYCTHUMBIEM MakCcuMyM (%{max_si
ze})

MakcumanbHbli 06wmnii 06 bEM L5 3arpy3ki MHOTMX dpainos cpasy.

A 3TO 3BYYMT COBCEM He MO PYCCKMU.

MaxCHMaNbHEIE OOMHE OOBEM HONId ONHOBPEMEHHOH 3arpys3kH
MaxcHManbHEIH OOmMHH OOBEM MPH 3arpyske HeCKOnbkHx PaHIoB

#5 - 2020-07-28 21:24 - Vasili Korol

| agree, this sounds better. As for field_estimated_hours - | responded in #33774.

#6 - 2020-07-28 22:39 - VVD VVD
- File ru.yml.new.diff added

MakcumarnbHbIii CyMMapHbIii 06 5EM Npy 3arpyske HECKONbKUX ¢pannos

#7 - 2020-07-28 22:41 - VVD VVD
- File ru.yml.new.diff added
Sorry for noise.

error_bulk_download_size_too_big: 9Tu chaiinbl He MoryT 6biTb 3arpyXXeHbsl 0AHOBPEMEHHO,
TakK Kak UX CyMMapHbIii 06 bEM NpeBbllwaeT [ONyCTUMbIA MakCUMyM (Y%{max_size})

IMHO, word "cymmapHbIii" is better.

#8 - 2020-07-29 10:02 - Vasili Korol
yes.
So, the conclusion is:

error_bulk_download_size_too_big:

9T paiinbl He MOryT BbITb 3arpyXXeHbl OQHOBPEMEHHO, TaK Kak UX CyMMapHbIi 06 EM NpeBbilaeT AONYCTUMbIA MakcUMyM (%{max_size})

setting_bulk_download_max_size:
MakcmmanbHbli cyMMapHbIli 06 bEM ANs OAHOBPEMEHHOM 3arpy3ku

#9 - 2020-08-27 19:17 - VVD VVD

Commit last version?

#10 - 2020-09-06 08:25 - Go MAEDA

- File 33773-ru.patch added

| have updated the patch for the latest trunk and changed some translations according to #33773#note-8.
VVD VVD and Vasili Korol, do you think 33773-ru.patch is OK to commit?

#11 - 2020-09-06 16:13 - VVD VVD

Typo:

error_attachments_too_many: 97071 paiin He ByneT 3arpyXeH, Tak Kak NpbIBbILLEHO MakcuManbHoe
KONM4eCTBO OAHOBPEMEHHO 3arpyxaembix annos (Y%{max_number_of_files}}

Correct:

error_attachments_too_many: 97071 ¢oan He ByneT 3arpyXeH, Tak Kak NpeBbILUEeHO MakcuManbHoe
KONM4eCTBO OAHOBPEMEHHO 3arpy>xaembix annos (%{max_number_of_files})

Other OK for me.
| see new lines:
setting_twofa: Two-factor authentication

label_optional: optional
label_required_lower: required

setting_twofa: [1syxdpakTopHas ayTeHTudmkaumns

IMHO better create new issue - a lot of new records.

#12 - 2020-09-06 20:32 - Vasili Korol

Go MAEDA, the patch looks ok to me with the correction by VVD VVD. | also agree that the missing translations should be addressed by a new issue
and a new patch.

#13 - 2020-09-07 01:42 - Go MAEDA
- File 33773-ru-v2.patch added

VVD VVD wrote:
Typo:
error_attachments_too_many: 31oT paiin He 6yaeT 3arpyXeH, Tak Kak NPbIBbILLEHO MAaKCUManbHOe
KONMYECTBO OOHOBPEMEHHO 3arpyxaembix pannos (Y%e{max_number_of_files}}
Correct:
error_attachments_too_many: 31oT paiin He ByaeT 3arpyXeH, Tak Kak NPeBbILLIEHO MakcuManbHoe
KONMYECTBO OOHOBPEMEHHO 3arpyxaembix pannos (Y%{max_number_of_files})

Other OK for me.

Updated the patch. Thank you.
#14 - 2020-09-08 08:38 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#15 - 2020-09-09 13:02 - VVD VVD
What about this patch: jstoolbar-ru.js.diff?

#16 - 2020-09-10 08:17 - Go MAEDA
VVD VVD wrote:

What about this patch: jstoolbar-ru.js.diff?

Committed the patch. Thank you for pointing it out. | overlooked the patch.

Files

ru.yml.diff 4.76 KB 2020-07-27 VVD VVD
jstoolbar-ru.js.diff 1.02 KB 2020-07-27 VVD VVD
ru.yml.new.diff 3.57 KB 2020-07-27 VVD VVD
ru.yml.new.diff 3.61 KB 2020-07-28 VVD VVD
ru.yml.new.diff 3.62 KB 2020-07-28 VVD VVD
33773-ru.patch 3.8 KB 2020-09-06 Go MAEDA
33773-ru-v2.patch 3.8 KB 2020-09-06 Go MAEDA

2025-05-02

/4


https://www.redmine.org/attachments/download/25766/jstoolbar-ru.js.diff
https://www.redmine.org/attachments/download/25766/jstoolbar-ru.js.diff
http://www.tcpdf.org

